<template>
	<div class="nopage">
			<span style="color: #0074D9;">4</span>
			<span style="color: #67C23A;">0</span>
			<span style="color: #0074D9;">4</span>
		<div>
			<!-- <p>Page Not Found</p> -->
			<p>你页面走丢了~</p>
			<p>
				<a-button type="primary" @click="toHome">返回首页</a-button>
			</p>
		</div>
	</div>
</template>

<script setup lang="ts">
	import { router } from '@/router/index';
	const toHome = () => {
		if(sessionStorage.pageType == 'company') {
			router.push('/manage/home')
		} else if (sessionStorage.pageType == 'personal') {
			router.push('/jobseeker/home')
		} else {
			router.push('/job/home')
		}
	}
</script>

<style scoped >
	.nopage {
		margin-top: 5vw;
		text-align: center;
	}

	.nopage span {
		font-size: 10vw;
	}
	
	.nopage p {
		margin: 1vw;
		font-size: 2.5vw;
	}
</style>
